/** @type {import('next').NextConfig} */
const nextConfig = {
  pageExtensions: ['mdx', 'md', 'jsx', 'js', 'tsx', 'ts'],
  reactStrictMode: false,
  compress: true,
  images: {
    domains: ['https://newadmin.impo.app'],
    remotePatterns: [
      {
        protocol: 'https',
        hostname: 'newadmin.impo.app',
      },
    ],
  },
  typescript: {
    ignoreBuildErrors: true,
  },
  experimental: {
    typedRoutes: true,
  },
}

module.exports = nextConfig
